Bug in Nexenta NFS volume driver

Bug #1221946 reported by Victor Rodionov on 2013-09-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Victor Rodionov

Bug Description

Exception in during volume creation in Nexenta NFS volume driver

2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp Traceback (most recent call last):
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/rpc/amqp.py", line 441, in _process_data
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp **args)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/rpc/dispatcher.py", line 148, in dispatch
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp return getattr(proxyobj, method)(ctxt, **kwargs)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/manager.py", line 215, in create_volume
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp flow.run(context.elevated())
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/taskflow/decorators.py", line 105, in wrapper
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp return f(self, *args, **kwargs)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/taskflow/patterns/linear_flow.py", line 232, in run
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp run_it(r)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/taskflow/patterns/linear_flow.py", line 212, in run_it
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp self.rollback(context, cause)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/contextlib.py", line 24, in __exit__
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp self.gen.next()
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/taskflow/patterns/linear_flow.py", line 172, in run_it
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp result = runner(context, *args, **kwargs)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/taskflow/utils.py", line 260, in __call__
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp self.result = self.task(*args, **kwargs)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/flows/create_volume/__init__.py", line 1441, in __call__
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp **volume_spec)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/flows/create_volume/__init__.py", line 1418, in _create_raw_volume
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp return self.driver.create_volume(volume_ref)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/drivers/nfs.py", line 96, in create_volume
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp self._do_create_volume(volume)
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/drivers/nexenta/nfs.py", line 109, in _do_create_volume
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp {'compression': self.configuration.nexenta_volume_compression}
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/drivers/nexenta/jsonrpc.py", line 82, in __call__
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp raise NexentaJSONException(response['error'].get('message', ''))
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp NexentaJSONException: Fewer items found in D-Bus signature than in Python arguments
2013-09-03 14:50:58.291 TRACE cinder.openstack.common.rpc.amqp

Changed in cinder:
assignee: nobody → Victor Rodionov (vito-ordaz)
status: New → In Progress

Reviewed: https://review.openstack.org/45503
Committed: http://github.com/openstack/cinder/commit/4ea6dfd0b1140e437703128bf52d65dbd2751751
Submitter: Jenkins
Branch: master

commit 4ea6dfd0b1140e437703128bf52d65dbd2751751
Author: Victor Rodionov <email address hidden>
Date: Sat Sep 7 02:18:48 2013 +0400

    Fix bug in Nexenta NFS driver _do_create_volume

    Fix bug in _do_create_volume method of Nexenta NFS volume driver.
    NMS call nms.folder.create doesn't support third argument, that is why
    this call changed to nms.folder.create_with_opts.

    Closes-Bug: #1221946
    Change-Id: I712ee2919f1bd117e7a1691979639689d95adc92

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
milestone: none → havana-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers